﻿
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    @Html.Partial("_scripts")
    <title>LastOpened</title>
    <style>
        #gift {
            text-align: center;
            border-radius: 10px;
            border: 4px solid #0000FF;
            padding: 5px;
            position: relative;
            max-width: 250px;
            height: 3.5EM;
            background-color: #0088FF;
            color: #FFFFFF;
            font-family: Calibri,Candara,Segoe,Segoe UI,Optima,Arial,sans-serif;
        }
        .opened_gift{
            text-align: center;
            color: #0000FF;
            font-weight: bold;
        }
    </style>
</head>
<body>
    <div id="app">
        <div id="gift" v-if="last">
            <div>En ouvrant la case {{ last.caseId }}, {{ last.viewer }} a remporté</div>
            <div class="opened_gift" :style="{ 'color': last.color }">{{ last.gift }}</div>
        </div>
    </div>
    <script type="text/javascript">
        var app = new Vue({
            el: '#app',
            data: {
                last: null
            },
            methods: {
                getNext: function () {
                    $.ajax({
                        context: this,
                        url: '/' + gridCode + '/api/Grid/LastOpened',
                        type: "GET",
                        success: function (result) {
                            app.last = result;
                        },
                        error: function (jqXHR, exception) {
                            if (jqXHR.status === 404) {
                                app.queue = null;
                            }
                        }
                    });
                }
            }
        });
        setInterval(app.getNext, 500);
    </script>
</body>
</html>
